%define	debug_package %{nil}

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name: libfsxfs
Version: 20231124
Release: 1%{?dist}
Summary: Library to support the X File System (XFS) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-experimental-%{version}.tar.gz
URL: https://github.com/libyal/libfsxfs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf automake pkgconfig gettext-devel libtool
              
BuildRequires: gcc              

%description -n libfsxfs
Library to support the X File System (XFS) format

%package -n libfsxfs-static
Summary: Library to support the X File System (XFS) format
Group: Development/Libraries
Requires: libfsxfs = %{version}-%{release}

%description -n libfsxfs-static
Static library version of libfsxfs.

%package -n libfsxfs-devel
Summary: Header files and libraries for developing applications for libfsxfs
Group: Development/Libraries
Requires: libfsxfs = %{version}-%{release}

%description -n libfsxfs-devel
Header files and libraries for developing applications for libfsxfs.

%if 0%{?with_python2}
%package -n libfsxfs-python2
Obsoletes: libfsxfs-python < %{version}
Provides: libfsxfs-python = %{version}
Summary: Python 2 bindings for libfsxfs
Group: System Environment/Libraries
Requires: libfsxfs = %{version}-%{release} python2
BuildRequires: python2-devel

%description -n libfsxfs-python2
Python 2 bindings for libfsxfs
%endif

%if 0%{?with_python3}
%package -n libfsxfs-python%{python3_pkgversion}
Summary: Python %{python3_pkgversion} bindings for libfsxfs
Group: System Environment/Libraries
Requires: libfsxfs = %{version}-%{release} python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel

%description -n libfsxfs-python%{python3_pkgversion}
Python %{python3_pkgversion} bindings for libfsxfs
%endif

%package -n libfsxfs-tools
Summary: Several tools for reading X File System (XFS) volumes
Group: Applications/System
Requires: libfsxfs = %{version}-%{release}  

%description -n libfsxfs-tools
Several tools for reading X File System (XFS) volumes

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfsxfs
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libfsxfs-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libfsxfs-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfsxfs.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python2}
%files -n libfsxfs-python2
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files -n libfsxfs-python%{python3_pkgversion}
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%files -n libfsxfs-tools
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Nov 24 2023 Lawrence R. Rogers <lrr@cert.org> 20231124-1
* Release 20231124-1
	Version 20231124.

* Mon Aug 29 2022 Lawrence R. Rogers <lrr@cert.org> 20220829-1
* Release 20220829-1
	Version 20220829.

* Wed Jul  6 2022 Lawrence R. Rogers <lrr@cert.org> 20220706-1
* Release 20220706-1
	Version 20220706.

* Sat May 28 2022 Lawrence R. Rogers <lrr@cert.org> 20220528-1
* Release 20220528-1
	Version 20220528.

* Thu Jan 13 2022 Lawrence R. Rogers <lrr@cert.org> 20220113-1
* Release 20220113-1
	Version 20220113.

* Sat Apr  3 2021 Lawrence R. Rogers <lrr@cert.org> 20210403-1
* Release 20210403-1
	Version 20210403.

* Sun Nov 15 2020 Joachim Metz <joachim.metz@gmail.com> 20201114-1
- Auto-generated

